Subject: Re: bug#19972: 24.4; Font size change doesn't update (window-total-width)

From: "Jan D." <[email-masked]>
Date: Tue, 03 Mar 2015 12:05:19 +0100

martin rudalics skrev den 2015-03-03 11:17:
>  > Actually not. NS also only changes stuff when it gets an event that
> informs about resize.
>
> IIUC Emacs doesn't run a timer when issuing a resize request on NS.  So
> I have no idea how two subsequent resize requests are handled there.
> Consider the case where Lisp code sends a height change request first
> and a width change request afterwards: Which is the height Emacs asks
> for in the second request?  The one before the first request or the one
> after the first request has been honored?

Lisp code that expects resize changes to be handeled synchronously and 
in order are fundamentally broken.

That said, it may very well be a race here, i.e. the wrong height gets 
sent.  But this is only because bad Lisp code assumes synchronous handling.

	Jan D.